from pyicubsim import iCubRightArm, iCubLeftArm, iCubTorso, iCubHead, iCubBall
import numpy as np
import cv2 as cv
import time

#initialize
rightArm = iCubRightArm()
leftArm = iCubLeftArm()
head = iCubHead()
torso = iCubTorso()

def pick_up():
    torso.set(joint0=-1, joint1=0.6, joint2=23.20)
    rightArm.set(joint0=-52.5, joint1=0, joint2=5)
    leftArm.set(joint0=-52.5, joint1=0, joint2=5)
    time.sleep(1.2)
    torso.set((0,0,0))

def set_standard_positions():
    standard_arm_position = (0, 80, 0, 50, 0, 0, 0, 59, 20, 20, 20, 10, 10, 10, 10, 10)
    rightArm.set(standard_arm_position)
    leftArm.set(standard_arm_position)
    head.set((-37.80, 0, -8.800, 0, 0, 0))
    torso.set(joint0=-1, joint1=0.6, joint2=23.20)
    time.sleep(1.5)

ball = iCubBall()
ball.set((-300.0, 150.0 - 10*15, -46.0245))

pick_up()
time.sleep(1.1)
set_standard_positions()
